/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"Dep_8h_source.html",
"Json_8h.html#a59e298a12f837155de6789dd2cf37ffe",
"MediaSource_8cc_source.html",
"ProblemTypes_8h.html",
"ResFilters_8h.html#ga52705ec120be865ed61d42b9b2026466",
"SetRelationMixin_8h_source.html",
"TestcaseSetup_8h.html#a8465c02c1a284f8e77b551386ffacc6aa87b2ccc9693d1d35db611ffe6cf37f30",
"base_2Iterable_8h.html",
"classzypp_1_1C__Str.html#a07f9a37d76afa8e6cf1211425fac291d",
"classzypp_1_1CheckSum.html#ae4e10150fabdf9476aa4fc07c846ba4e",
"classzypp_1_1Digest_1_1P.html#aa52f863b92af36c5715dc24e84e93666",
"classzypp_1_1HistoryLogData.html#a18d5c8c5a9488a599a9a12c44ad4a6e5",
"classzypp_1_1InstanceId.html",
"classzypp_1_1Match.html#a69c7fb79ccd33c640680c3abd615485b",
"classzypp_1_1Pattern.html#ae21c0c84c4ce29ad6b1f0c1c33a3e378",
"classzypp_1_1PoolQuery.html#aced145d540c2b2228cda67aa8e51eed6",
"classzypp_1_1PublicKeyData.html#a092a8fe889128fbb6e6a3fd465f8d5ff",
"classzypp_1_1Repository.html#ad7b133fc659456a103cd7b61d7f2916b",
"classzypp_1_1ResStatus.html#a50c673f6dd3ac83225a9cf09fb2deea2",
"classzypp_1_1SerialNumberWatcher.html#aabf67de9058647453bf6590feff4583d",
"classzypp_1_1Url.html#abe92c1d4ee0ce644c58de837a39f61d5",
"classzypp_1_1ZYpp.html#a25a09b5ef822b29b492caad75b3f47fb",
"classzypp_1_1base_1_1LogControl.html#a14d98ebc7a1c43aa0ec92338114231d7",
"classzypp_1_1detail_1_1zckstreambufimpl.html#a05f66ff10bc00a2837add04af8ed511d",
"classzypp_1_1filesystem_1_1StatMode.html#abf164126d13ba4511cff42abc4d72e68",
"classzypp_1_1media_1_1MediaDISK.html#a6fd089ed4ca7562a1bd9dbfce5d53b89",
"classzypp_1_1media_1_1ZsyncParser.html#add23194ba169cf9970ea19a4a18a76a1",
"classzypp_1_1parser_1_1ProductFileData.html#a1fb4dfcabcc567bfe347932b38192aa8",
"classzypp_1_1repo_1_1RepoInfoBase.html#a39dfef7536a3d2d99cc3f6edea43c8db",
"classzypp_1_1sat_1_1LookupAttr.html#a79feead4d152c8bc6d863f95837edd66",
"classzypp_1_1sat_1_1SolvAttr.html#a05a5c17392e3f831368344d80b28a834",
"classzypp_1_1sat_1_1SolvableSpec.html#a36112ebeebc25728f8f70e78e46fe818",
"classzypp_1_1sat_1_1detail_1_1SolvableIterator.html#a100b6ef54db056b8f38d4b28e33da43f",
"classzypp_1_1target_1_1CommitPackageCacheReadAhead.html#a158b5d5a955c00afcbfe972ebb70ab43",
"classzypp_1_1target_1_1rpm_1_1RpmAccessBlockedException.html#ac52f13630ec7be20eb21694257bc7a9c",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator.html#ad49b7f65f21e85d99034761ba5255398",
"classzypp_1_1url_1_1UrlDecodingException.html#ac95a856700d6c7512c121c8f9df650e3",
"classzypp__private_1_1repo_1_1PluginRepoverification_1_1Checker_1_1Impl.html#a97295777a2bef096323d4872a96d5365",
"core_2base_2String_8h.html#a1735725ceabf62c777bfd5db5ad953e3",
"core_2url_2UrlException_8h.html",
"globals_x.html",
"libxmlfwd_8cc.html#adca1c983a98dba734ec82a49766ac278",
"plugin-commit.html#commitend",
"structzypp_1_1CpeId_1_1Value_1_1ETypeDef.html#a347b71d8fe036f1b7ce7edc019168fb5a541b0fa60024b5c4e4d742a89f22af55",
"structzypp_1_1KVMap.html#a9879f9454c1365a06b8a54c082fae46b",
"structzypp_1_1ProblemSolution_1_1Impl.html#aaab2f09349c65341a2e219738fa83500",
"structzypp_1_1RepoManager.html#a181cbc8893aea9f22a66bd64371ed402",
"structzypp_1_1SavingLocksReport.html#a27ea18e454911217615c6668d1206cc3a6cba26ac66d68ed901209c07f258d523",
"structzypp_1_1callback_1_1DistributeReport.html",
"structzypp_1_1json_1_1Value.html#adff823ffb363132a2e1f4cf75ab1b5b0",
"structzypp_1_1repo_1_1DownloadResolvableReport.html#a295ef3b7fb97799ef7c75d396f0359ea",
"structzypp_1_1sat_1_1SolvableType.html#a481bfbf5edb618510986220140fc4de6",
"structzypp_1_1target_1_1rpm_1_1HeaderEntryGetter.html#af1d33c1117cc9eced76eb98863a5cdb2",
"structzypp_1_1url_1_1ViewOption.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';